View Issue Details

IDProjectCategoryView StatusLast Update
12579Bug reports[All Projects] Theme editorpublic2017-10-25 11:12
ReportertammoAssigned Tomarkusfluer 
PrioritynoneSeverityblock 
Status closedResolutionreopened 
Product Version3.0.0-beta.x 
Target Version3.xFixed in Version3.0.0-beta.x 
Summary12579: Template change in survey does not work
DescriptionAlthough changing seems to work: it is shown on the Survey Summary, the survey is still rendered in the previous template.
Additional Informationhttp://limegit.toolsforresearch.com/index.php/admin/survey/sa/view/surveyid/282267
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0 git
I will donate to the project if issue is resolvedNo
Browserchrome
Database & DB-VersionMySql
Operating System (Server)Linux
Webserver software & versionApache
PHP Version5.5.30

Relationships

has duplicate 12698 closedLouisGac Cannot change to custom template 

Activities

tammo

tammo

2017-08-18 13:27

developer   ~44311

Sorry, not solved yet.
tammo

tammo

2017-10-11 10:44

developer   ~44568

Reminder sent to: LouisGac, markusfluer

Sorry to nag you, but I am blocked and this takes too long....
LouisGac

LouisGac

2017-10-11 11:53

developer   ~44571

I just did a fresh install from git repo and it works fine
tammo

tammo

2017-10-12 10:26

developer   ~44596

Did you try to preview the survey? Template change "seems" to work, but it does not show up when you try to view the actual survey. Or is there something wrong with my installation?

limesurvey_survey_282267.lss (503,600 bytes)
tammo

tammo

2017-10-12 14:01

developer   ~44603

Fresh install crashed. Blocking further testing.
olle

olle

2017-10-13 14:47

administrator   ~44667

Fresh install from git?
olle

olle

2017-10-13 14:48

administrator   ~44668

Not sure I understand the problem here. Screenshot?
tammo

tammo

2017-10-13 15:01

developer   ~44670

PHP notice

Trying to get property of non-object

D:\dev\lsgit\application\views\admin\survey\subview\accordion\_generaloptions_panel.php(138)

126 'name' => 'owner_id',
127 'pluginOptions' => array(
128 )
129 ));
130 ?>
131 </div>
132 </div>
133 <?php endif;?>
134
135 <!-- Administrator -->
136 <div class="form-group">
137 <?php //Switch for creation/editing ?>
138 <?php $admin = empty($oSurvey->admin) ? $oSurvey->owner->full_name : $oSurvey->admin; ?>
139 <label class=" control-label" for='admin'><?php eT("Administrator:"); ?></label>
140 <div class="">
141 <input class="form-control" type='text' size='50' id='admin' name='admin' value="<?php echo htmlspecialchars($admin); ?>" />
142 </div>
143 </div>
144
145 <!-- Admin email -->
146 <div class="form-group">
147 <?php //Switch for creation/editing ?>
148 <?php $admin_email = empty($oSurvey->adminemail) ? $oSurvey->owner->email : $oSurvey->adminemail; ?>
149 <label class=" control-label" for='adminemail'><?php eT("Admin email:"); ?></label>
150 <div class="">
Stack Trace
#0
– D:\dev\lsgit\framework\web\CBaseController.php(126): require("D:\dev\lsgit\application\views\admin\survey\subview\accordion\_g...")
121 $data=$_data_;
122 if($_return_)
123 {
124 ob_start();
125 ob_implicit_flush(false);
126 require($_viewFile_);
127 return ob_get_clean();
128 }
129 else
130 require($_viewFile_);
131 }
#1
– D:\dev\lsgit\framework\web\CBaseController.php(95): CBaseController->renderInternal("D:\dev\lsgit\application\views/admin/survey/subview/accordion/_g...", array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...), true)
090 {
091 $widgetCount=count($this->_widgetStack);
092 if(($renderer=Yii::app()->getViewRenderer())!==null && $renderer->fileExtension==='.'.CFileHelper::getExtension($viewFile))
093 $content=$renderer->renderFile($this,$viewFile,$data,$return);
094 else
095 $content=$this->renderInternal($viewFile,$data,$return);
096 if(count($this->_widgetStack)===$widgetCount)
097 return $content;
098 else
099 {
100 $widget=end($this->_widgetStack);
#2
– D:\dev\lsgit\framework\web\CController.php(872): CBaseController->renderFile("D:\dev\lsgit\application\views/admin/survey/subview/accordion/_g...", array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...), true)
867 */
868 public function renderPartial($view,$data=null,$return=false,$processOutput=false)
869 {
870 if(($viewFile=$this->getViewFile($view))!==false)
871 {
872 $output=$this->renderFile($viewFile,$data,true);
873 if($processOutput)
874 $output=$this->processOutput($output);
875 if($return)
876 return $output;
877 else
#3
– D:\dev\lsgit\application\views\admin\survey\subview\tabCreate_view.php(58): CController->renderPartial("/admin/survey/subview/accordion/_generaloptions_panel", array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...))
53 <div class="tab-content">
54 <div class="tab-pane active" id="texts" data-count="1">
55 <?php echo $this->renderPartial('/admin/survey/subview/_create_survey_text', $edittextdata); ?>
56 </div>
57 <div class="tab-pane" id="general-settings" data-count="2">
58 <?php echo $this->renderPartial('/admin/survey/subview/accordion/_generaloptions_panel', $generalsettingsdata); ?>
59 </div>
60 <div class="tab-pane" id="presentation" data-count="3">
61 <?php echo $this->renderPartial('/admin/survey/subview/accordion/_presentation_panel', $presentationsettingsdata); ?>
62 </div>
63 <div class="tab-pane" id="publication" data-count="4">
#4
– D:\dev\lsgit\framework\web\CBaseController.php(126): require("D:\dev\lsgit\application\views\admin\survey\subview\tabCreate_vi...")
121 $data=$_data_;
122 if($_return_)
123 {
124 ob_start();
125 ob_implicit_flush(false);
126 require($_viewFile_);
127 return ob_get_clean();
128 }
129 else
130 require($_viewFile_);
131 }
#5
– D:\dev\lsgit\framework\web\CBaseController.php(95): CBaseController->renderInternal("D:\dev\lsgit\application\views/admin/survey/subview/tabCreate_vi...", array("data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...)), true)
090 {
091 $widgetCount=count($this->_widgetStack);
092 if(($renderer=Yii::app()->getViewRenderer())!==null && $renderer->fileExtension==='.'.CFileHelper::getExtension($viewFile))
093 $content=$renderer->renderFile($this,$viewFile,$data,$return);
094 else
095 $content=$this->renderInternal($viewFile,$data,$return);
096 if(count($this->_widgetStack)===$widgetCount)
097 return $content;
098 else
099 {
100 $widget=end($this->_widgetStack);
#6
– D:\dev\lsgit\framework\web\CController.php(872): CBaseController->renderFile("D:\dev\lsgit\application\views/admin/survey/subview/tabCreate_vi...", array("data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...)), true)
867 */
868 public function renderPartial($view,$data=null,$return=false,$processOutput=false)
869 {
870 if(($viewFile=$this->getViewFile($view))!==false)
871 {
872 $output=$this->renderFile($viewFile,$data,true);
873 if($processOutput)
874 $output=$this->processOutput($output);
875 if($return)
876 return $output;
877 else
#7
– D:\dev\lsgit\application\views\admin\survey\newSurvey_view.php(30): CController->renderPartial("/admin/survey/subview/tabCreate_view", array("data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...)))
25
26 <!-- tabs content -->
27 <div class="tab-content">
28 <!-- General Tab (contains accrodion) -->
29 <div id="general" class="tab-pane fade in <?php if($active=='create'){echo ' active ';}?>">
30 <?php $this->renderPartial('/admin/survey/subview/tabCreate_view',array('data'=>$data));?>
31 </div>
32
33 <!-- Import -->
34 <div id='import' class="tab-pane fade in <?php if($active=='import'){echo ' active ';}?>">
35 <?php $this->renderPartial('/admin/survey/subview/tabImport_view',$data); ?>
#8
– D:\dev\lsgit\framework\web\CBaseController.php(126): require("D:\dev\lsgit\application\views\admin\survey\newSurvey_view.php")
121 $data=$_data_;
122 if($_return_)
123 {
124 ob_start();
125 ob_implicit_flush(false);
126 require($_viewFile_);
127 return ob_get_clean();
128 }
129 else
130 require($_viewFile_);
131 }
#9
– D:\dev\lsgit\framework\web\CBaseController.php(95): CBaseController->renderInternal("D:\dev\lsgit\application\views/admin/survey/newSurvey_view.php", array("oSurvey" => Survey, "data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...), "title_bar" => array("title" => "New survey"), "fullpagebar" => array("savebutton" => array("form" => "addnewsurvey"), "saveandclosebutton" => array("form" => "addnewsurvey"), "closebutton" => array("url" => "admin/index"))), true)
090 {
091 $widgetCount=count($this->_widgetStack);
092 if(($renderer=Yii::app()->getViewRenderer())!==null && $renderer->fileExtension==='.'.CFileHelper::getExtension($viewFile))
093 $content=$renderer->renderFile($this,$viewFile,$data,$return);
094 else
095 $content=$this->renderInternal($viewFile,$data,$return);
096 if(count($this->_widgetStack)===$widgetCount)
097 return $content;
098 else
099 {
100 $widget=end($this->_widgetStack);
#10
– D:\dev\lsgit\framework\web\CController.php(872): CBaseController->renderFile("D:\dev\lsgit\application\views/admin/survey/newSurvey_view.php", array("oSurvey" => Survey, "data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...), "title_bar" => array("title" => "New survey"), "fullpagebar" => array("savebutton" => array("form" => "addnewsurvey"), "saveandclosebutton" => array("form" => "addnewsurvey"), "closebutton" => array("url" => "admin/index"))), true)
867 */
868 public function renderPartial($view,$data=null,$return=false,$processOutput=false)
869 {
870 if(($viewFile=$this->getViewFile($view))!==false)
871 {
872 $output=$this->renderFile($viewFile,$data,true);
873 if($processOutput)
874 $output=$this->processOutput($output);
875 if($return)
876 return $output;
877 else
#11
– D:\dev\lsgit\application\core\Survey_Common_Action.php(320): CController->renderPartial("/admin/survey/newSurvey_view", array("oSurvey" => Survey, "data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...), "title_bar" => array("title" => "New survey"), "fullpagebar" => array("savebutton" => array("form" => "addnewsurvey"), "saveandclosebutton" => array("form" => "addnewsurvey"), "closebutton" => array("url" => "admin/index"))))
315 {
316 if (empty($sViewKey) || !in_array($sViewKey, array('message', 'output')))
317 {
318 if (is_numeric($sViewKey))
319 {
320 Yii::app()->getController()->renderPartial($sViewPath . $viewUrl, $aData);
321 }
322 elseif (is_array($viewUrl))
323 {
324 foreach ($viewUrl as $aSubData)
325 {
#12
– D:\dev\lsgit\application\controllers\admin\surveyadmin.php(2186): Survey_Common_Action->_renderWrappedTemplate("survey", array("output" => "<!--<script type="text/javascript" src="/third_party/ckeditor/ck...", 0 => "newSurvey_view"), array("oSurvey" => Survey, "data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...), "title_bar" => array("title" => "New survey"), "fullpagebar" => array("savebutton" => array("form" => "addnewsurvey"), "saveandclosebutton" => array("form" => "addnewsurvey"), "closebutton" => array("url" => "admin/index"))))
2181 * @param array $aData Data to be passed on. Optional.
2182 */
2183 protected function _renderWrappedTemplate($sAction = 'survey', $aViewUrls = array(), $aData = array())
2184 {
2185 $isPjax = Yii::app()->request->getQuery('pjax',false);
2186 parent::_renderWrappedTemplate($sAction, $aViewUrls, $aData);
2187 }
2188
2189 }
#13
– D:\dev\lsgit\application\controllers\admin\surveyadmin.php(165): SurveyAdmin->_renderWrappedTemplate("survey", array("output" => "<!--<script type="text/javascript" src="/third_party/ckeditor/ck...", 0 => "newSurvey_view"), array("oSurvey" => Survey, "data" => array("action" => "newsurvey", "owner" => array("uid" => "1", "users_name" => "admin", "password" => "8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918", "full_name" => "Administrator", ...), "sRadixDefault" => 0, "sDateFormatDefault" => 9, ...), "title_bar" => array("title" => "New survey"), "fullpagebar" => array("savebutton" => array("form" => "addnewsurvey"), "saveandclosebutton" => array("form" => "addnewsurvey"), "closebutton" => array("url" => "admin/index"))))
160 $arrayed_data['title_bar']['title'] = gT('New survey');
161 $arrayed_data['fullpagebar']['savebutton']['form'] = 'addnewsurvey';
162 $arrayed_data['fullpagebar']['saveandclosebutton']['form'] = 'addnewsurvey';
163 $arrayed_data['fullpagebar']['closebutton']['url'] = 'admin/index'; // Close button
164
165 $this->_renderWrappedTemplate('survey', $aViewUrls, $arrayed_data);
166 }
167
168 // TODO document me, please :)
169 public function fakebrowser()
170 {
#14
 unknown(0): SurveyAdmin->newsurvey()
#15
– D:\dev\lsgit\framework\web\actions\CAction.php(109): ReflectionMethod->invokeArgs(SurveyAdmin, array())
104 elseif($param->isDefaultValueAvailable())
105 $ps[]=$param->getDefaultValue();
106 else
107 return false;
108 }
109 $method->invokeArgs($object,$ps);
110 return true;
111 }
112 }
#16
– D:\dev\lsgit\application\core\Survey_Common_Action.php(87): CAction->runWithParamsInternal(SurveyAdmin, ReflectionMethod, array("sa" => "newsurvey"))
82 $oMethod = new ReflectionMethod($this, $sDefault);
83 }
84
85 // We're all good to go, let's execute it
86 // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
87 return parent::runWithParamsInternal($this, $oMethod, $params);
88 }
89
90 /**
91 * Some functions have different parameters, which are just an alias of the
92 * usual parameters we're getting in the url. This function just populates
#17
– D:\dev\lsgit\framework\web\CController.php(308): Survey_Common_Action->runWithParams(array("sa" => "newsurvey"))
303 {
304 $priorAction=$this->_action;
305 $this->_action=$action;
306 if($this->beforeAction($action))
307 {
308 if($action->runWithParams($this->getActionParams())===false)
309 $this->invalidActionParams($action);
310 else
311 $this->afterAction($action);
312 }
313 $this->_action=$priorAction;
#18
– D:\dev\lsgit\framework\web\CController.php(286): CController->runAction(SurveyAdmin)
281 * @see runAction
282 */
283 public function runActionWithFilters($action,$filters)
284 {
285 if(empty($filters))
286 $this->runAction($action);
287 else
288 {
289 $priorAction=$this->_action;
290 $this->_action=$action;
291 CFilterChain::create($this,$action,$filters)->run();
#19
– D:\dev\lsgit\framework\web\CController.php(265): CController->runActionWithFilters(SurveyAdmin, array())
260 {
261 if(($parent=$this->getModule())===null)
262 $parent=Yii::app();
263 if($parent->beforeControllerAction($this,$action))
264 {
265 $this->runActionWithFilters($action,$this->filters());
266 $parent->afterControllerAction($this,$action);
267 }
268 }
269 else
270 $this->missingAction($actionID);
#20
– D:\dev\lsgit\application\controllers\AdminController.php(179): CController->run("survey")
174 $this->redirect(array('/admin/authentication/sa/login'));
175 }
176 }
177 }
178
179 return parent::run($action);
180 }
181
182 /**
183 * Routes all the actions to their respective places
184 *
#21
– D:\dev\lsgit\framework\web\CWebApplication.php(282): AdminController->run("survey")
277 {
278 list($controller,$actionID)=$ca;
279 $oldController=$this->_controller;
280 $this->_controller=$controller;
281 $controller->init();
282 $controller->run($actionID);
283 $this->_controller=$oldController;
284 }
285 else
286 throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
287 array('{route}'=>$route===''?$this->defaultController:$route)));
#22
– D:\dev\lsgit\framework\web\CWebApplication.php(141): CWebApplication->runController("admin/survey/sa/newsurvey")
136 foreach(array_splice($this->catchAllRequest,1) as $name=>$value)
137 $_GET[$name]=$value;
138 }
139 else
140 $route=$this->getUrlManager()->parseUrl($this->getRequest());
141 $this->runController($route);
142 }
143
144 /**
145 * Registers the core application components.
146 * This method overrides the parent implementation by registering additional core components.
#23
– D:\dev\lsgit\framework\base\CApplication.php(185): CWebApplication->processRequest()
180 public function run()
181 {
182 if($this->hasEventHandler('onBeginRequest'))
183 $this->onBeginRequest(new CEvent($this));
184 register_shutdown_function(array($this,'end'),0,false);
185 $this->processRequest();
186 if($this->hasEventHandler('onEndRequest'))
187 $this->onEndRequest(new CEvent($this));
188 }
189
190 /**
#24
– D:\dev\lsgit\index.php(195): CApplication->run()
190 require_once APPPATH . 'core/LSYii_Application' . EXT;
191
192 $config = require_once(APPPATH . 'config/internal' . EXT);
193
194 Yii::$enableIncludePath = false;
195 Yii::createApplication('LSYii_Application', $config)->run();
196
197 /* End of file index.php */
198 /* Location: ./index.php */
2017-10-13 14:59:23 Apache/2.4.17 (Win32) OpenSSL/1.0.2d PHP/5.5.30 Yii Framework/1.1.18
tammo

tammo

2017-10-13 15:12

developer   ~44673

But when I want to create copy_of_minimal2 (in template editor) I get:
CException

Property "Template.extends_templates_name" is not defined.

D:\dev\lsgit\framework\db\ar\CActiveRecord.php(162)

150 * This method is overridden so that AR attributes can be accessed like properties.
151 * @param string $name property name
152 * @param mixed $value property value
153 * @throws CException
154 */
155 public function __set($name,$value)
156 {
157 if($this->setAttribute($name,$value)===false)
158 {
159 if(isset($this->getMetaData()->relations[$name]))
160 $this->_related[$name]=$value;
161 else
162 parent::__set($name,$value);
163 }
164 }
165
166 /**
167 * Checks if a property value is null.
168 * This method overrides the parent implementation by checking
169 * if the named attribute is null or not.
170 * @param string $name the property name or the event name
171 * @return boolean whether the property value is null
172 */
173 public function __isset($name)
174 {
Stack Trace
#0
– D:\dev\lsgit\framework\db\ar\CActiveRecord.php(162): CComponent->__set("extends_templates_name", "minimal")
157 if($this->setAttribute($name,$value)===false)
158 {
159 if(isset($this->getMetaData()->relations[$name]))
160 $this->_related[$name]=$value;
161 else
162 parent::__set($name,$value);
163 }
164 }
165
166 /**
167 * Checks if a property value is null.
#1
– D:\dev\lsgit\application\models\TemplateConfiguration.php(330): CActiveRecord->__set("extends_templates_name", "minimal")
325 $oNewTemplate->api_version = $oEditTemplateDb->api_version;
326 $oNewTemplate->view_folder = $oEditTemplateDb->view_folder;
327 $oNewTemplate->files_folder = $oEditTemplateDb->files_folder;
328 //$oNewTemplate->description TODO: a more complex modal whith email, author, url, licence, desc, etc
329 $oNewTemplate->owner_id = Yii::app()->user->id;
330 $oNewTemplate->extends_templates_name = $oEditedTemplate->oMotherTemplate->sTemplateName;
331
332 if ($oNewTemplate->save()){
333 $oNewTemplateConfiguration = new TemplateConfiguration;
334 $oNewTemplateConfiguration->template_name = $oEditedTemplate->sTemplateName;
335 $oNewTemplateConfiguration->template_name = $oEditedTemplate->sTemplateName;
#2
– D:\dev\lsgit\application\controllers\admin\templates.php(490): TemplateConfiguration::importManifest("copy_of_minimal2")
485 // TODO: copy template options
486 $oFileHelper->copyDirectory($copydirname,$newdirname, array('fileTypes' => array('xml', 'png', 'jpg')));
487 $templatename = $newname;
488 //TemplateConfiguration::removeAllNodes($newdirname);
489 TemplateManifest::extendsConfig($copydir, $newname );
490 TemplateConfiguration::importManifest($newname);
491 $this->getController()->redirect(array("admin/templates/sa/view",'templatename'=>$newname));
492 }
493
494 elseif ($mkdirresult == 2)
495 {
#3
 unknown(0): templates->templatecopy()
#4
– D:\dev\lsgit\framework\web\actions\CAction.php(109): ReflectionMethod->invokeArgs(templates, array())
104 elseif($param->isDefaultValueAvailable())
105 $ps[]=$param->getDefaultValue();
106 else
107 return false;
108 }
109 $method->invokeArgs($object,$ps);
110 return true;
111 }
112 }
#5
– D:\dev\lsgit\application\core\Survey_Common_Action.php(87): CAction->runWithParamsInternal(templates, ReflectionMethod, array("sa" => "templatecopy"))
82 $oMethod = new ReflectionMethod($this, $sDefault);
83 }
84
85 // We're all good to go, let's execute it
86 // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
87 return parent::runWithParamsInternal($this, $oMethod, $params);
88 }
89
90 /**
91 * Some functions have different parameters, which are just an alias of the
92 * usual parameters we're getting in the url. This function just populates
#6
– D:\dev\lsgit\application\controllers\admin\templates.php(33): Survey_Common_Action->runWithParams(array("sa" => "templatecopy"))
28 {
29 if (!Permission::model()->hasGlobalPermission('templates','read')){
30 die('No permission');
31 }
32
33 parent::runWithParams($params);
34 }
35
36 /**
37 * Exports a template
38 *
#7
– D:\dev\lsgit\framework\web\CController.php(308): templates->runWithParams(array("sa" => "templatecopy"))
303 {
304 $priorAction=$this->_action;
305 $this->_action=$action;
306 if($this->beforeAction($action))
307 {
308 if($action->runWithParams($this->getActionParams())===false)
309 $this->invalidActionParams($action);
310 else
311 $this->afterAction($action);
312 }
313 $this->_action=$priorAction;
#8
– D:\dev\lsgit\framework\web\CController.php(286): CController->runAction(templates)
281 * @see runAction
282 */
283 public function runActionWithFilters($action,$filters)
284 {
285 if(empty($filters))
286 $this->runAction($action);
287 else
288 {
289 $priorAction=$this->_action;
290 $this->_action=$action;
291 CFilterChain::create($this,$action,$filters)->run();
#9
– D:\dev\lsgit\framework\web\CController.php(265): CController->runActionWithFilters(templates, array())
260 {
261 if(($parent=$this->getModule())===null)
262 $parent=Yii::app();
263 if($parent->beforeControllerAction($this,$action))
264 {
265 $this->runActionWithFilters($action,$this->filters());
266 $parent->afterControllerAction($this,$action);
267 }
268 }
269 else
270 $this->missingAction($actionID);
#10
– D:\dev\lsgit\application\controllers\AdminController.php(179): CController->run("templates")
174 $this->redirect(array('/admin/authentication/sa/login'));
175 }
176 }
177 }
178
179 return parent::run($action);
180 }
181
182 /**
183 * Routes all the actions to their respective places
184 *
#11
– D:\dev\lsgit\framework\web\CWebApplication.php(282): AdminController->run("templates")
277 {
278 list($controller,$actionID)=$ca;
279 $oldController=$this->_controller;
280 $this->_controller=$controller;
281 $controller->init();
282 $controller->run($actionID);
283 $this->_controller=$oldController;
284 }
285 else
286 throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
287 array('{route}'=>$route===''?$this->defaultController:$route)));
#12
– D:\dev\lsgit\framework\web\CWebApplication.php(141): CWebApplication->runController("admin/templates/sa/templatecopy")
136 foreach(array_splice($this->catchAllRequest,1) as $name=>$value)
137 $_GET[$name]=$value;
138 }
139 else
140 $route=$this->getUrlManager()->parseUrl($this->getRequest());
141 $this->runController($route);
142 }
143
144 /**
145 * Registers the core application components.
146 * This method overrides the parent implementation by registering additional core components.
#13
– D:\dev\lsgit\framework\base\CApplication.php(185): CWebApplication->processRequest()
180 public function run()
181 {
182 if($this->hasEventHandler('onBeginRequest'))
183 $this->onBeginRequest(new CEvent($this));
184 register_shutdown_function(array($this,'end'),0,false);
185 $this->processRequest();
186 if($this->hasEventHandler('onEndRequest'))
187 $this->onEndRequest(new CEvent($this));
188 }
189
190 /**
#14
– D:\dev\lsgit\index.php(195): CApplication->run()
190 require_once APPPATH . 'core/LSYii_Application' . EXT;
191
192 $config = require_once(APPPATH . 'config/internal' . EXT);
193
194 Yii::$enableIncludePath = false;
195 Yii::createApplication('LSYii_Application', $config)->run();
196
197 /* End of file index.php */
198 /* Location: ./index.php */
2017-10-13 15:11:05 Apache/2.4.17 (Win32) OpenSSL/1.0.2d PHP/5.5.30 Yii Framework/1.1.18
tammo

tammo

2017-10-19 13:37

developer   ~44743

Tested, OK now!
c_schmitz

c_schmitz

2017-10-25 11:12

administrator   ~44824

3.0.0-RC1 Build 171025 released

Issue History

Date Modified Username Field Change
2017-08-08 16:12 tammo New Issue
2017-08-08 16:12 tammo Status new => assigned
2017-08-08 16:12 tammo Assigned To => markusfluer
2017-08-17 14:05 markusfluer Status assigned => resolved
2017-08-17 14:05 markusfluer Resolution open => fixed
2017-08-17 14:05 markusfluer Fixed in Version => 3.0.0-beta.x
2017-08-18 13:27 tammo Status resolved => feedback
2017-08-18 13:27 tammo Resolution fixed => reopened
2017-08-18 13:27 tammo Note Added: 44311
2017-08-22 14:37 olle Status feedback => assigned
2017-08-25 14:50 markusfluer Status assigned => resolved
2017-09-24 10:05 tammo Relationship added has duplicate 12698
2017-10-11 10:44 tammo Note Added: 44568
2017-10-11 11:53 LouisGac Note Added: 44571
2017-10-12 10:26 tammo File Added: limesurvey_survey_282267.lss
2017-10-12 10:26 tammo Note Added: 44596
2017-10-12 14:01 tammo Note Added: 44603
2017-10-12 14:02 tammo Severity major => block
2017-10-12 14:02 tammo Status resolved => feedback
2017-10-13 14:47 olle Note Added: 44667
2017-10-13 14:48 olle Note Added: 44668
2017-10-13 15:01 tammo Note Added: 44670
2017-10-13 15:01 tammo Status feedback => assigned
2017-10-13 15:12 tammo Note Added: 44673
2017-10-19 13:37 tammo Status assigned => resolved
2017-10-19 13:37 tammo Note Added: 44743
2017-10-25 11:12 c_schmitz Note Added: 44824
2017-10-25 11:12 c_schmitz Status resolved => closed